using Model;
using Newtonsoft.Json.Linq;
using NuGet.Frameworks;

namespace TestUnitaires
{
    public class TU_Album
    {
        [Theory]
        [InlineData("Fenêtre sur Rue","album2.jpg","Un banger","Sortie : 2012")]
        [InlineData("Adios Bahamas", "album. jpg", "Un banger", "Sortie : 2012")]
        [InlineData(null, "album2.jpg", "Un banger", "Sortie : 2012")]
        [InlineData("Dans La Légende", null, "Un banger", "Sortie : 2012")]
        [InlineData("Dans La Légende","album1.jpg", null, "Sortie : 2012")]
        [InlineData("Dans La Légende", "album1.jpg", "Un banger", null)]
        [InlineData("Dans La Légende", "album1jpg", "Un banger", "Sortie : 2012")]
        public void TU_Attributes(string nameAlbum, string url, string desc, string info)
        {
            Assert.True(nameAlbum != null && nameAlbum.Length < 75);
            Assert.True(url != null && url.Contains('.'));
            Assert.False(url.Contains(' '));
            Assert.True(desc != null && desc.Length < 500);
            Assert.True(info != null && info.Length < 500);

        }

    }
}